ConversionServiceExposingInterceptor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.handler

## Class ConversionServiceExposingInterceptor

- java.lang.Object
- - org.springframework.web.servlet.handler.HandlerInterceptorAdapter
  - - org.springframework.web.servlet.handler.ConversionServiceExposingInterceptor

- All Implemented Interfaces:
    AsyncHandlerInterceptor, HandlerInterceptor

      public class ConversionServiceExposingInterceptor
      extends HandlerInterceptorAdapter

  Interceptor that places the configured `ConversionService` in request scope so it's available during request processing. The request attribute name is "org.springframework.core.convert.ConversionService", the value of `ConversionService.class.getName()`.

  Mainly for use within JSP tags such as the spring:eval tag.

  Since:
    3.0.1
  Author:
    Keith Donald

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionServiceExposingInterceptor(ConversionService conversionService)` Creates a new `ConversionServiceExposingInterceptor`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)` This implementation always returns `true`.

    - ### Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter

      `afterCompletion, afterConcurrentHandlingStarted, postHandle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionServiceExposingInterceptor

          public ConversionServiceExposingInterceptor(ConversionService conversionService)

      Creates a new `ConversionServiceExposingInterceptor`.
      Parameters:
        `conversionService` - the conversion service to export to request scope when this interceptor is invoked

  - ### Method Detail

    - #### preHandle

          public boolean preHandle(HttpServletRequest request,
                          HttpServletResponse response,
                          Object handler)
                            throws ServletException,
                                   IOException

      Description copied from class: `HandlerInterceptorAdapter`
      This implementation always returns `true`.
      Specified by:
        `preHandle` in interface `HandlerInterceptor`
      Overrides:
        `preHandle` in class `HandlerInterceptorAdapter`
      Parameters:
        `request` - current HTTP request
        `response` - current HTTP response
        `handler` - chosen handler to execute, for type and/or instance evaluation
      Returns:
        `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
      Throws:
        `ServletException`
        `IOException`